unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnDefaultPromptDialog: TButton;
    btnMessageDlg: TButton;
    btnQuestionDlg: TButton;
    btnDefaultQuestionDlg: TButton;
    RadioGroup1: TRadioGroup;
    procedure btnDefaultPromptDialogClick(Sender: TObject);
    procedure btnMessageDlgClick(Sender: TObject);
    procedure btnQuestionDlgClick(Sender: TObject);
    procedure btnDefaultQuestionDlgClick(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  InterfaceBase, LCLType;

{ TForm1 }

procedure TForm1.btnDefaultPromptDialogClick(Sender: TObject);
var
  btns: array[0..2] of Integer = (idButtonYes, idButtonNo, idButtonCancel);
begin
  DefaultPromptDialog('Caption: DefaultPromptDialog', 'DialogMessage',
    RadioGroup1.ItemIndex + idDialogBase + 1, @btns, Length(btns), 0, 0, true, 0, 2);
end;

procedure TForm1.btnMessageDlgClick(Sender: TObject);
begin
  MessageDlg('Caption: MessageDlg', 'Message', TMsgDlgType(RadioGroup1.ItemIndex), [mbYes, mbNo, mbCancel], 0);
end;

procedure TForm1.btnQuestionDlgClick(Sender: TObject);
begin
  QuestionDlg('Caption: QuestionDlg', 'Message', TMsgDlgType(RadioGroup1.ItemIndex), [mbYes, 'Yes', mbNo, 'No', mbCancel, 'Cancel'], 0);
end;

procedure TForm1.btnDefaultQuestionDlgClick(Sender: TObject);
var
  btns: TDialogButtons;
begin
  btns := TDialogButtons.Create(TDialogButton);
  with btns.Add do
  begin
    Caption := 'Yes';
    ModalResult := mrYes;
  end;
  with btns.Add do
  begin
    Caption := 'No';
    ModalResult := mrNo;
  end;
  with btns.Add do
  begin
    Caption := 'Cancel';
    ModalResult := mrCancel;
  end;
  DefaultQuestionDialog('Caption: DefaultQuestionDialog', 'Message', RadioGroup1.ItemIndex + idDialogBase + 1, btns, 0);
end;

end.

